<?php

/**
 * @table download_app_log
 */
class DownloadAppLog {

    /**
     * @id
     */
    private $id;
    
    /**
     * @column download_date
     */
    private $downloadDate;
    
    /**
     * @column download_file
     */
    private $downloadFile;
    
    /**
     * @column ip_address
     */
    private $ipAddress;
    
    /**
     * @column user_agent
     */
    private $userAgenet;
    
    /**
     * @column mail_address
     */
    private $mailAddress;
    
     /**
     * @column app_name
     */
    private $appName;
    
     /**
     * @column version
     */
    private $version;
    
    function getId() {
    	return $this->id;
    }
    function setId($id) {
    	$this->id = $id;
    }
    function getDownloadDate() {
    	return $this->downloadDate;
    }
    function setDownloadDate($downloadDate) {
    	$this->downloadDate = $downloadDate;
    }
    function getDownloadFile() {
    	return $this->downloadFile;
    }
    function setDownloadFile($downloadFile) {
    	$this->downloadFile = $downloadFile;
    }
    function getIpAddress() {
    	return $this->ipAddress;
    }
    function setIpAddress($ipAddress) {
    	$this->ipAddress = $ipAddress;
    }
    function getUserAgenet() {
    	return $this->userAgenet;
    }
    function setUserAgenet($userAgenet) {
    	$this->userAgenet = $userAgenet;
    }
    function getMailAddress() {
    	return $this->mailAddress;
    }
    function setMailAddress($mailAddress) {
    	$this->mailAddress = $mailAddress;
    }
    function getAppName() {
    	return $this->appName;
    }
    function setAppName($appName) {
    	$this->appName = $appName;
    }
    function getVersion() {
    	return $this->version;
    }
    function setVersion($version) {
    	$this->version = $version;
    }
}
?>